# Processing Profiler

## Preparation

Extract some camera images and dump them:

```bash
./make_example_images.py -i /some/measured_data.CAMERAS.h5 -c SOME-CAMERA
```

## Profiling

Profile a processing script using the example images:

```bash
./procprof.py a_processing_script.py example_images.npy
```

Profiling output files are written to `./prof/`.

Check `-h` on both scripts for more options. 


